## cloud-installer 0.14%2Bbzr301

=== requirements.txt ===
PyYAML==3.10
oauthlib==0.6.1
requests==2.2.1
requests-oauthlib==0.4.0
ws4py==0.3.2
passlib
mock
setuptools
urwid
nose
nose-cov
readthedocs-sphinx-ext

## cloud-installer 0.14+bzr301

=== Makefile ===
#
# Makefile for cloud-install
#
NAME        = cloud-installer
TOPDIR      := $(shell basename `pwd`)
GIT_REV     := $(shell git log --oneline -n1| cut -d" " -f1)
VERSION     := $(shell ./tools/version)

$(NAME)_$(VERSION).orig.tar.gz: clean
	cd .. && tar czf $(NAME)_$(VERSION).orig.tar.gz $(TOPDIR) --exclude-vcs --exclude=debian

tarball: $(NAME)_$(VERSION).orig.tar.gz

.PHONY: install-dependencies
install-dependencies:
	sudo apt-get install devscripts equivs
	sudo mk-build-deps -i debian/control

clean:
	@debian/rules clean
	@rm -rf debian/cloud-install
	@rm -rf docs/_build/*
	@rm -rf ../cloud-*.deb ../cloud-*.tar.gz ../cloud-*.dsc ../cloud-*.changes \
		../cloud-*.build

deb-src: clean update_version tarball
	@debuild -S -us -uc

deb: clean update_version tarball
	@debuild -us -uc -i

sbuild: clean update_version tarball
	@sbuild -d trusty-amd64 -j4

current_version:
	@echo $(VERSION)

git_rev:
	@echo $(GIT_REV)

update_version:
	wrap-and-sort
	@sed -i -r "s/(^__version__\s=\s)(.*)/\1\"$(VERSION)\"/" cloudinstall/__init__.py

status:
	PYTHONPATH=$(shell pwd):$(PYTHONPATH) bin/cloud-status

# sudo make run type=multi proxy=http://localhost:3128/
.PHONY: run
run: deb
	-dpkg -i ../cloud-installer*deb
	-dpkg -i ../cloud-install-${type}*deb
	apt-get install -f
	MAAS_HTTP_PROXY=${proxy} cloud-install

all: deb

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/UbuntuCloudInstaller.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/UbuntuCloudInstaller.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/UbuntuCloudInstaller"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/UbuntuCloudInstaller"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
cloud-installer (0.14+bzr301-0ubuntu1) trusty; urgency=low

  * Closes bug (LP: #1308601)
  * Added Documentation for API
  * Removed use of debconf
  * Single-install support for kvm instances
  * Multi-install support for lxc, kvm, and baremetal deployments.
  * Landscape-install support for managing the cloud deployment via
    http://landscape.canonical.com

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 16 Apr 2014 20:44:56 -0400

cloud-installer (0.1+bzr111-0ubuntu1) trusty; urgency=low

  [ Robert Ayres ]
  * Intial Release. Closes "needs-packaging" bug (LP: #1282837)

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 26 Feb 2014 13:26:37 -0500

=== debian/control ===
Source: cloud-installer
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-mock,
               python3-nose,
               python3-passlib,
               python3-requests,
               python3-requests-oauthlib,
               python3-setuptools,
               python3-urwid,
               python3-ws4py,
               python3-yaml
Standards-Version: 3.9.5
Homepage: https://launchpad.net/cloud-installer
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Browser: https://bazaar.launchpad.net/~solutions-engineering/cloud-installer/master
Vcs-Bzr: lp:cloud-installer

Package: cloud-installer
Architecture: all
Depends: gawk,
         pwgen,
         python3-all,
         python3-mock,
         python3-nose,
         python3-oauthlib,
         python3-passlib,
         python3-requests,
         python3-requests-oauthlib,
         python3-setuptools,
         python3-urwid,
         python3-ws4py,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${python:Depends}
Description: Ubuntu Cloud installer
 Ubuntu Cloud installer is a metal to cloud image that provides an extremely
 simple way to install, deploy and scale an openstack cloud on top of
 Ubuntu server. Initial configurations are available for single
 physical system deployments as well as multiple physical system
 deployments.
 .
 This package provides the common libraries utilized by the installer
 profiles.

Package: cloud-install-multi
Section: admin
Architecture: any
Depends: juju-core, lxc, maas, maas-dhcp, maas-dns, ${misc:Depends},
Description: Ubuntu Cloud installer (multi-system) - dependency package
 Ubuntu Cloud installer is a metal to cloud image that provides an extremely
 simple way to install, deploy and scale an openstack cloud on top of
 Ubuntu server. Initial configurations are available for single
 physical system deployments as well as multiple physical system
 deployments.
 .
 This package provides the multi installer profile.

Package: cloud-install-single
Section: admin
Architecture: any
Depends: juju-local, uvtool, uvtool-libvirt, ${misc:Depends}
Description: Ubuntu Cloud installer (single-system) - dependency package
 Ubuntu Cloud installer is a metal to cloud image that provides an extremely
 simple way to install, deploy and scale an openstack cloud on top of
 Ubuntu server. Initial configurations are available for single
 physical system deployments as well as multiple physical system
 deployments.
 .
 This package provides the single installer profile.

Package: cloud-install-landscape
Section: admin
Architecture: any
Depends: juju-core,
         juju-deployer,
         lxc,
         maas,
         maas-dhcp,
         maas-dns,
         ${misc:Depends}
Description: Ubuntu Cloud installer (landscape) - dependency package
 Ubuntu Cloud installer is a metal to cloud image that provides an extremely
 simple way to install, deploy and scale an openstack cloud on top of
 Ubuntu server. Initial configurations are available for single
 physical system deployments as well as multiple physical system
 deployments.
 .
 This package provides the landscape installer profile.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cloudinstall
export PYBUILD_DISABLE_python2=1
export PYBUILD_INSTALL_DIR=usr/share/cloud-installer/
export PYBUILD_INSTALL_ARGS_python3=--install-lib=usr/share/cloud-installer/ \
	--install-data=usr/ \
	--install-scripts=usr/share/cloud-installer/bin/ \
	--root=$(CURDIR)/debian/cloud-installer/ \
	--no-compile -O0

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_python2:
	dh_python2 --ignore-shebangs -X cloudinstall\.gui
override_dh_python3:
	dh_python3 --ignore-shebangs
override_dh_installinit:
	dh_installinit --no-start

override_dh_auto_test:
	@echo "No tests."

## cloud-installer 0.17+bzr487

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,16 @@
 install-dependencies:
 	sudo apt-get install devscripts equivs
 	sudo mk-build-deps -i debian/control
+
+.PHONY: uninstall-dependencies
+uninstall-dependencies:
+	sudo apt-get remove cloud-installer-build-deps
+
+# sudo make uninstall type=single-system
+# (or just sudo make uninstall)
+.PHONY: uninstall
+uninstall: uninstall-dependencies
+	sudo tools/cloud-uninstall ${type}
 
 clean:
 	@debian/rules clean
@@ -42,15 +52,43 @@
 	wrap-and-sort
 	@sed -i -r "s/(^__version__\s=\s)(.*)/\1\"$(VERSION)\"/" cloudinstall/__init__.py
 
+
+.PHONY: ci-test pyflakes pep8 test
+ci-test: pyflakes pep8 test
+
+pyflakes:
+	python3 `which pyflakes` cloudinstall
+
+pep8:
+	pep8 cloudinstall
+
+test:
+	mkdir -p $(HOME)/.cloud-install
+	nosetests -v --with-cover --cover-package=cloudinstall --cover-html test
+
 status:
 	PYTHONPATH=$(shell pwd):$(PYTHONPATH) bin/cloud-status
 
+# Indirection to allow 'make run' to build deb automatically, but
+# 'make sbuild; make run' will not invoke 'deb'.
+../cloud-installer*.deb: deb
+	echo "rule to make .deb automatically"
+
 # sudo make run type=multi proxy=http://localhost:3128/
 .PHONY: run
-run: deb
+run: ../cloud-installer*.deb
 	-dpkg -i ../cloud-installer*deb
 	-dpkg -i ../cloud-install-${type}*deb
-	apt-get install -f
+	apt-get -yy install -f
+	MAAS_HTTP_PROXY=${proxy} cloud-install
+
+# sudo make landscape proxy=http://localhost:3128/
+.PHONY: landscape
+landscape: ../cloud-installer*.deb
+	-dpkg -i ../cloud-installer*deb
+	-dpkg -i ../cloud-install-multi*deb
+	-dpkg -i ../cloud-install-landscape*deb
+	apt-get -yy install -f
 	MAAS_HTTP_PROXY=${proxy} cloud-install
 
 all: deb

=== requirements.txt ===
--- 
+++ 
@@ -10,3 +10,5 @@
 nose
 nose-cov
 readthedocs-sphinx-ext
+pyflakes>=0.8.1
+pep8>=1.5.6

=== debian/changelog ===
cloud-installer (0.17+bzr487-0ubuntu1) utopic; urgency=medium

  * Make all packages architecture-independent
  * Added swift and swift-proxy to installer
  * Add ability to do unattended installs

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 29 May 2014 09:15:28 -0400

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,12 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9),
                dh-python,
+               pep8,
+               pyflakes,
                python-all,
                python-setuptools,
                python3-all,
+               python3-coverage,
                python3-mock,
                python3-nose,
                python3-passlib,
@@ -26,6 +29,7 @@
 Package: cloud-installer
 Architecture: all
 Depends: gawk,
+         nmap,
          pwgen,
          python3-all,
          python3-mock,
@@ -53,8 +57,8 @@
 
 Package: cloud-install-multi
 Section: admin
-Architecture: any
-Depends: juju-core, lxc, maas, maas-dhcp, maas-dns, ${misc:Depends},
+Architecture: all
+Depends: juju-core, lxc, maas, maas-dhcp, maas-dns, vlan, ${misc:Depends}
 Description: Ubuntu Cloud installer (multi-system) - dependency package
  Ubuntu Cloud installer is a metal to cloud image that provides an extremely
  simple way to install, deploy and scale an openstack cloud on top of
@@ -66,7 +70,7 @@
 
 Package: cloud-install-single
 Section: admin
-Architecture: any
+Architecture: all
 Depends: juju-local, uvtool, uvtool-libvirt, ${misc:Depends}
 Description: Ubuntu Cloud installer (single-system) - dependency package
  Ubuntu Cloud installer is a metal to cloud image that provides an extremely
@@ -79,14 +83,8 @@
 
 Package: cloud-install-landscape
 Section: admin
-Architecture: any
-Depends: juju-core,
-         juju-deployer,
-         lxc,
-         maas,
-         maas-dhcp,
-         maas-dns,
-         ${misc:Depends}
+Architecture: all
+Depends: cloud-install-multi, juju-deployer, ${misc:Depends}
 Description: Ubuntu Cloud installer (landscape) - dependency package
  Ubuntu Cloud installer is a metal to cloud image that provides an extremely
  simple way to install, deploy and scale an openstack cloud on top of
